Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.metamodel.source.annotations
Class EntityHierarchyBuilder

    java.lang.Object
      org.hibernate.metamodel.source.annotations.EntityHierarchyBuilder

    public class EntityHierarchyBuilder

extends Object

Given a (jandex) annotation index build processes all classes with JPA relevant annotations and pre-orders JPA entities respectively their inheritance hierarchy.

Constructor Summary
`EntityHierarchyBuilder()`

Method Summary
`static Set<EntityHierarchy>` | `createEntityHierarchies(AnnotationBindingContext bindingContext)` Pre-processes the annotated entities from the index and create a set of entity hierarchies which can be bound to the metamodel.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EntityHierarchyBuilder

    public EntityHierarchyBuilder()

Method Detail

### createEntityHierarchies

    public static Set<EntityHierarchy> createEntityHierarchies(AnnotationBindingContext bindingContext)

  Pre-processes the annotated entities from the index and create a set of entity hierarchies which can be bound to the metamodel.

  Parameters:
    `bindingContext` - The binding context, giving access to needed services and information
  Returns:
    a set of `EntityHierarchy` instances.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.